Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.response
Class ErrorMapper.Visitor

    java.lang.Object
      de.knipp.rritoolkit.response.ErrorMapper.Visitor

All Implemented Interfaces:
  ErrorPatternVisitor

Enclosing class:
  ErrorMapper<E>

    private class ErrorMapper.Visitor

extends java.lang.Object
implements ErrorPatternVisitor

small inner class that implements the visitor interface for the patterns

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Constructor Summary
`private` | `ErrorMapper.Visitor()`

Method Summary
`private void` | `add(java.util.Map<java.lang.String,java.util.List<ErrorPattern>> map, java.lang.String code, ErrorPattern pattern)` add a pattern to a list
`void` | `visit(ErrorPattern pattern)` called by an opaque implementation of ErrorPattern
`void` | `visit(GroupPattern pattern)` called by a group pattern
`void` | `visit(SimplePattern pattern)` called by a simple pattern

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorMapper.Visitor

    private ErrorMapper.Visitor()

Method Detail

### add

    private void add(java.util.Map<java.lang.String,java.util.List<ErrorPattern>> map,
                     java.lang.String code,
                     ErrorPattern pattern)

  add a pattern to a list

  Parameters:
    `map` - the map
    `code` - the code that the pattern matches
    `pattern` - the pattern

### visit

    public void visit(ErrorPattern pattern)

  called by an opaque implementation of ErrorPattern

  Specified by:
    `visit` in interface `ErrorPatternVisitor`
  Parameters:
    `pattern` - the pattern

### visit

    public void visit(SimplePattern pattern)

  called by a simple pattern

  Specified by:
    `visit` in interface `ErrorPatternVisitor`
  Parameters:
    `pattern` - the pattern

### visit

    public void visit(GroupPattern pattern)

  called by a group pattern

  Specified by:
    `visit` in interface `ErrorPatternVisitor`
  Parameters:
    `pattern` - the pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH